package com.brilliance.isc.bo;


import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bop extends AbstractCommonVo {

    public String id = NULLSTR;
    public String inr = NULLSTR;
    public String trninr = NULLSTR;
    public String ver = NULLSTR;
    public String actiontype = NULLSTR;
    public String actiondesc = NULLSTR;
    public String rptno = NULLSTR;
    public String custype = NULLSTR;
    public String idcode = NULLSTR;
    public String custcod = NULLSTR;
    public String custnm = NULLSTR;
    public String oppuser = NULLSTR;
    public String txccy = NULLSTR;
    public BigDecimal txamt = Decimals.ZERO_SCALE8;
    public BigDecimal exrate = Decimals.ZERO_SCALE8;
    public BigDecimal lcyamt = Decimals.ZERO_SCALE8;
    public String lcyacc = NULLSTR;
    public BigDecimal fcyamt = Decimals.ZERO_SCALE8;
    public String fcyacc = NULLSTR;
    public BigDecimal othamt = Decimals.ZERO_SCALE8;
    public BigDecimal osamt = Decimals.ZERO_SCALE8;
    public String othacc = NULLSTR;
    public String methods = NULLSTR;
    public String buscode = NULLSTR;
    public String inchargeccy = NULLSTR;
    public BigDecimal inchargeamt = Decimals.ZERO_SCALE8;
    public String outchargeccy = NULLSTR;
    public BigDecimal outchargeamt = Decimals.ZERO_SCALE8;
    public String actuccy = NULLSTR;
    public BigDecimal actuamt = Decimals.ZERO_SCALE8;
    public String lcbgno = NULLSTR;
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    public Date issdate = NULLDATE;
    public BigDecimal tenor = Decimals.ZERO_SCALE8;
    public String country = NULLSTR;
    public String paytype = NULLSTR;
    public String txcode = NULLSTR;
    public BigDecimal tc1amt = Decimals.ZERO_SCALE8;
    public String txrem = NULLSTR;
    public String txcode2 = NULLSTR;
    public BigDecimal tc2amt = Decimals.ZERO_SCALE8;
    public String tx2rem = NULLSTR;
    public String isref = NULLSTR;
    public String billno = NULLSTR;
    public String payattr = NULLSTR;
    public String chkprtd = NULLSTR;
    public String refno = NULLSTR;
    public BigDecimal chkamt = Decimals.ZERO_SCALE8;
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    public Date impdate = NULLDATE;
    public String contrno = NULLSTR;
    public String invoino = NULLSTR;
    public String regno = NULLSTR;
    public String cusmno = NULLSTR;
    public String customn = NULLSTR;
    public String billno1 = NULLSTR;
    public BigDecimal contamt = Decimals.ZERO_SCALE8;
    public String inptelc = NULLSTR;
    public String crtuser = NULLSTR;
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    public Date rptdate = NULLDATE;
    public String trnno = NULLSTR;
    public String bassta = NULLSTR;
    public String dclsta = NULLSTR;
    public String vrfsta = NULLSTR;
    public String flg = NULLSTR;
    public String usr = NULLSTR;
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    public Date credat = NULLDATE;
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    public Date reldat = NULLDATE;
    public String bchkey = NULLSTR;
    public String branch = NULLSTR;
    public String tblnam = NULLSTR;
    public String oppacc = NULLSTR;
    public String fcyccy = NULLSTR;
    public String lcyccy = NULLSTR;
    public String oppbank = NULLSTR;
    public String usetype = NULLSTR;
    public String usedetail = NULLSTR;
    public String typ = NULLSTR;
    public String filnam = NULLSTR;

}
