package com.brilliance.isc.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;



/**
 * TABLE:eaf:外债远期信用证－签约信息
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Eaf extends AbstractCommonVo {

    //Internal Unique ID
    private String inr = NULLSTR;

    //Version
    private String ver = NULLSTR;

    //操作类型
    private String actiontype = NULLSTR;

    //删除原因
    private String actiondesc = NULLSTR;

    //外债编号
    private String exdebtcode = NULLSTR;

    //债务人代码
    private String debtorcode = NULLSTR;

    //债务类型
    private String debtype = NULLSTR;

    //起息日
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date valuedate = NULLDATE;

    //签约币种
    private String contractcurr = NULLSTR;

    //签约金额
    private  BigDecimal contractamount  = Decimals.ZERO_SCALE2;

    //到期日
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date maturity = NULLDATE;

    //开证申请人代码
    private String appcode = NULLSTR;

    //开证申请人名称
    private String appname = NULLSTR;

    //债权人代码
    private String creditorcode = NULLSTR;

    //债权人中文名称
    private String creditorname = NULLSTR;

    //债权人英文名称
    private String creditornamen = NULLSTR;

    //债权人类型代码
    private String creditortype = NULLSTR;

    //债权人总部所在国家（地区）代码
    private String crehqcode = NULLSTR;

    //债权人经营地所在国家（地区）代码
    private String opercode = NULLSTR;

    //是否经外汇局特批不需占用指标
    private String spapfeboindex = NULLSTR;

    //备注
    private String remark = NULLSTR;

    //接口状态
    private String sta = NULLSTR;

    //INR of EBL
    private String eblinr = NULLSTR;

    //生成日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date credat = NULLDATE;

    //相关业务类
    private String credittype = NULLSTR;

    //是否附有银行承兑汇
    private String billsn = NULLSTR;

    //对方与本机构的关系
    private String relation = NULLSTR;
    
}

