package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:sweyge:
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Sweyge {

        //INR
        private String inr = NULLSTR;

        //SWEINR
        private String sweinr = NULLSTR;

        //MSGTYP
        private String msgtyp = NULLSTR;

        //RELCUR
        private String relcur = NULLSTR;

        //RELAMT
        private  BigDecimal relamt  = Decimals.ZERO_SCALE3;

        //SYSNO
        private String sysno = NULLSTR;

        //RCVDAT
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date rcvdat = NULLDATE;

        //ORCNAM
        private String orcnam = NULLSTR;

        //PYENAM
        private String pyenam = NULLSTR;

        //FLG
        private String flg = NULLSTR;

        //PYEACT
        private String pyeact = NULLSTR;

        //ECIFNO
        private String ecifno = NULLSTR;

        //ACCBCH
        private String accbch = NULLSTR;


}