package com.brilliance.isc.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 任务分配明细记录表
 * @TableName tskquelog
 */
@TableName(value ="tskquelog")
@Data
public class Tskquelog implements Serializable {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 任务表que主键
     */
    private String queinr;
    /**
     * 任务类型
     */
    private String cla;
    /**
     * 交易类型
     */
    private String frm;
    /**
     * 业务参考号
     */
    private String objref;
    /**
     * 币种
     */
    private String relcur;
    /**
     * 金额
     */
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal relamt;
    /**
     * 经办柜员
     */
    private String usrcon;
    /**
     * 操作时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;
    /**
     * 组别
     */
    private String bizGroup;
    /**
     * 分配柜员
     */
    private String usr;
    /**
     * 分配人
     */
    private String assusr;
    /**
     * 任务状态
     */
    private String status;
    /**
     * 分配状态
     */
    private String distStatus;
    /**
     * 备注
     */
    private String remarks;


}
