package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:txpaym:付汇信息
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Txpaym extends AbstractCommonVo {

        //Internal Unique ID
        private String inr = NULLSTR;

        //TXFinr
        private String txfinr = NULLSTR;

        //付汇业务编号
        private String bsnsrlno = NULLSTR;

        //备案表编号
        private String rcrdno = NULLSTR;

        //验证码
        private String dataverfcd = NULLSTR;

        //机构名称或个人姓名
        private String pymtbnknm = NULLSTR;

        //纳税人识别号
        private String taxpyidnfno = NULLSTR;

        //受理银行名称
        private String acptbnknm = NULLSTR;

        //受理银行机构代码
        private String acptinstcd = NULLSTR;

        //总行金融机构代码
        private String ficd = NULLSTR;

        //所属外汇局代码
        private String blngsafecd = NULLSTR;

        //已核验付汇金额（美元）
        private  BigDecimal beenchkverfamt  = Decimals.ZERO_SCALE2;

        //业务状态
        private String bsnsts = NULLSTR;

        //上链状态
        private String rmtcofcoverbsnupchainsts = NULLSTR;

        //操作时�'
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date updatetime = NULLDATE;

        //国际收支申报号
        private String itnlincmpaydclrtnno = NULLSTR;

        //查询流�'号
        private String msgid = NULLSTR;























}