package com.brilliance.isc.bo.lg;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.bo.model.Ncdgrp;
import com.brilliance.isc.bo.model.Nidgrp;
import com.brilliance.isc.vo.CipmodVo;
import com.brilliance.isc.vo.TransOrderVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class NitsetStoreBo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private Ncdgrp ncdgrp;
    private BigDecimal docamt = Decimals.ZERO_SCALE2;
    private String clsflg = NULLSTR;
    //预计核验日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date prechkdat;
    //是否需要核验
    private String ischktyp = NULLSTR;
    //端到端标识号
    private String oribusnum = NULLSTR;

    private String paypsb = NULLSTR;

    private  String clmrmbflg= NULLSTR;

    private  String cre732flg = NULLSTR;

    private String doccur;
    //报文类型   trnmod.swftyp
    private String swftyp;
    private CipmodVo cipmodVo;
    //跨境人民币清算模式  trnmod.cmtflg
    private String cmtflg;
    //收款直接参与者行号 trnmod.reconebch
    private String reconebch;
    //收款直接参与者名称 trnmod.reconebchnam
    private String reconebchnam;
    //附言  trnmod.commen
    private String commen;
    //业务种类  trnmod.bustyp
    private String bustyp;
    private TransOrderVo transOrderVo;


    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (ncdgrp == null) {
            ncdgrp = new Ncdgrp();
        }
        ncdgrp.reset();
    }
}
