package com.brilliance.isc.bo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Elcsca;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Detp extends AbstractCommonVo {

    private Elcsca elcsca;

    //Status E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    //total open amount of connected contracts
    private BigDecimal totamt = Decimals.ZERO_SCALE3;

    //Messages
    private  String chkmsg = NULLSTR;

    //Open amount
    private  BigDecimal trnopnamt = Decimals.ZERO_SCALE3;

    //Shipment date
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date trnshpdat;

    //Expiry date
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private  Date trnexpdat;

    //大写金额
    private  String upamt = NULLSTR;

    //运输方式
    private  String tratyp = NULLSTR;

    //申请人帐号
    private  String aplact = NULLSTR;

    //受益人帐号
    private  String benact = NULLSTR;

    //最迟装运/服务提供日
    private  String zchday = NULLSTR;

    //分期装运
    private  String fenzhu = NULLSTR;

    //'运装运地/服务提供低
    private  String hwzydi = NULLSTR;

    //槧物/服务描述
    private  String hwfwms = NULLSTR;

    //槧物\\服务类型
    private  String hwtype = NULLSTR;

    //手输运输方式/服务提供方式
    private  String sdysfs = NULLSTR;

    //是否选择上级行
    private  String isupbranch = NULLSTR;

    //影像批次号
    private  String imgimg = NULLSTR;

    //发起参与机构
    private  String dzlhhh = NULLSTR;
}
