package com.brilliance.isc.common.rmbbop.entity;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:tej:银行跟单结算及其他贸易融资业务信息-承兑信息
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tej extends AbstractCommonVo {

    //Internal Unique ID
    private String inr = NULLSTR;

    //Version
    private String ver = NULLSTR;

    //objtyp
    private String objtyp = NULLSTR;

    //objinr
    private String objinr = NULLSTR;

    //人行报送状态
    private String sta = NULLSTR;

    //明细操作类型
    private String listopertype = NULLSTR;

    //明细主键
    private int seqno;

    //承兑日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date exchangedate = NULLDATE;

    //承兑金额
    private BigDecimal exchangeamt = Decimals.ZERO_SCALE2;

    //承兑到期日
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date exchangeenddate = NULLDATE;

    //数据状态
    private String csta = NULLSTR;

    //确认
    private String acp;

}