package com.brilliance.isc.common.transaction.vo;

import com.brilliance.isc.common.setfeg.fee.Wrksum;
import com.brilliance.isc.common.setmod.vo.PtsFeeDetailVo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.vo.model.Fale01Vo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class SimpleSetmodVo extends AbstractCommonVo {

    //减少金额
    private BigDecimal redamt = BigDecimal.ZERO;

    //单据币种
    private String doccur = NULLSTR;

    //单据金额
    private BigDecimal docamt = BigDecimal.ZERO;

    //默认我方费用收取角色
    private String feeclirol = NULLSTR;

    //默认对手费用收取角色
    private String feecorrol = NULLSTR;

    //我方编号
    private String ref = NULLSTR;

    //自贸区主账号
    private String zmqacc = NULLSTR;

    //自贸区标识
    private String zmqflg = NULLSTR;

    // 结算信息
    private Map<String, Wrksum> wrksumMap;

    //费用角色详情集合
    private List<PtsFeeDetailVo> ptydet;

    private BigDecimal setamt = BigDecimal.ZERO;

    //E01报送信息
    private List<Fale01Vo> fale01List;
}
