package com.brilliance.isc.vo.domlc;

import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * 卖方信用证单据业务要素
 */
@Data
public class BfdBizInfoVo extends BizInfoVo {

    private String pntinr;

    private String pnttyp;

    private String docprbrol;

    private String payrol;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date predat = NULLDATE;

    private String docrol ;

    private String advdisflg;

    private String advrefflg;

    private String rejpenins;

    private String mattxtflg ;

    private String msgtyp ;

    private String frepayflg ;

    private BigDecimal dfuamt ;

    private  BigDecimal resamt;

    private String forflg;

    private String dedinr;

    private String bpdinr;

    private String sndmsg;

    private String elcflg;

    private String rmbclmnow;

    private String crefinflg;

    private String dedclsflg;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date orddat = NULLDATE;

    private String avbby;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date newmatdat = NULLDATE;

    //币种
    private String doccur;
    //减少金额
    private BigDecimal redamt = BigDecimal.ZERO;
    //单据金额
    private BigDecimal docamt = BigDecimal.ZERO;

    //fremsg相关
    private String sndmt;
    private  String msgrol = NULLSTR;
    private  String ccrol = NULLSTR;
    private PtsptaVo othmsg;
    private PtsptaVo othcc;
    private  String reldir = NULLSTR;
    private  String fulmt = NULLSTR;
    private  String relmt = NULLSTR;

    //电证发报
    private String msgtxt; //  信息内容		.commsg.msgtxt
    private String  jscyjg; //  接收行联行行号		.commsg.jscyjg
    private String ccmelc; //  报文类型		.ccmelc
    private String skhacc; //  收款银行账号		.skhacc
    private String skhadr; //  收款银行账户名称		.skhadr
    private String bankno; //  收款银行开户行行号		.bankno
    private String skhkhhadr;//  收款银行开户行名称		.skhkhhadr

    private String ownref;

    //自由格式报文类型
    private String typsel = NULLSTR;

}
