package com.brilliance.isc.vo.finance;

import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class WgbselResultVo extends CommonResult {
    String inr;
    String fsainr;
    String ownref;
    String relref;
    String cliextkey;
    String clinam;
    String ownbchcod;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    Date finappdat;
    String cur;

    @JsonSerialize(using = BigDecimalSerialize.class)
    BigDecimal amt;
    String bnkaplsta;
    String aplret;
    String blcsta;
    String sta;

    @JsonSerialize(using = BigDecimalSerialize.class)
    BigDecimal rcvtotamt;
    String finloacur;

    @JsonSerialize(using = BigDecimalSerialize.class)
    BigDecimal finloaamt;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    Date loadat;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    Date conenddat;
    String rcvcur;

    @JsonSerialize(using = BigDecimalSerialize.class)
    BigDecimal rcvamt;
    String prcrepdat;
    String facrcvdat;
    String wgrref;
    String bchcod;
    String delflg;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    Date updtim;

    @JsonSerialize(using = BigDecimalSerialize.class)
    BigDecimal useamt;
    String usecon;
    String chkcon;

    String delrea;

}
