package com.brilliance.isc.vo.lc;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BrdBizInfoVo extends BizInfoVo {

    //父业务inr =
    private String pntinr;

    //父业务类型ligrp.rec.inr= LID
    private String pnttyp;

    private String docprbrol;

    private String acpnowflg;

    private String dscinsflg;

    private String advtyp;

    /**
     * date to be paid litdav.brdgrp.rec.totdat
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date totdat;

    /**
     * Discrepancies brdgrp.blk.docdiz
     */
    private String docdis;

    /**
     * brtdck.mhtyp
     */
    private String mhtyp;

    /**
     * brtdck.brdgrp.rec.relgodflg
     */
    private String relgodflg;

    /**
     * brtdck.oldbrdgrp.rec.relgodflg
     */
    private String oldrelgodflg;

    /**
     * document currency brtudp.setmod.doccur
     */
    private String doccur;

    /**
     * document amount brtudp.setmod.docamt
     */
    private BigDecimal docamt = BigDecimal.ZERO;

    /**
     * document amount brtudp.setmod.redamt
     */
    private BigDecimal redamt = BigDecimal.ZERO;

    /**
     * Unpaid by Applicant brtudp.paypsb
     */
    private String paypsb;

    /**
     * Payer brtudp.BRDGRP.REC.PAYROL
     */
    private String payrol;

    /**
     * switch Mt brtudp.sftmt
     */
    private String sftmt;

    //fremsg相关
    private String sndmt;
    private String msgrol = NULLSTR;
    private String ccrol = NULLSTR;
    private PtsptaVo othmsg;
    private PtsptaVo othcc;
    private String reldir = NULLSTR;
    private String fulmt = NULLSTR;
    private String relmt = NULLSTR;

    /**
     * GRP\REC\NOMTOP Amount Tolerance - Positive
     */
    private int nomtop;

    /**
     * 是否接受修改标识 litdla.ameflg
     */
    private String ameflg;

    /**
     * brtdcr.advrefflg
     */
    private String advrefflg;

    /**
     * brtdcr.brdgrp.rec.advdocflg
     */
    private String advdocflg;

    /**
     * brtdcr.refdocflg
     */
    private String refdocflg;

    /**
     * brtdcr.rejpenins
     */
    private String rejpenins;

    /**
     * brtset.brdgrp.rec.frepayflg
     */
    private String frepayflg;

    /**
     * brtcan.sndmsg
     */
    private String sndmsg;

    /**
     * \BRDGRP\REC\SHGREF Shipping Guarantee Reference
     */
    private String shgref = NULLSTR;

    /**
     * Reference GRP\REC\ownref
     */
    private String ownref = NULLSTR;

    private int tenmaxday = -1;

    /**
     * 申报类型
     */
    private String szflg;

    /**
     * 款项去向
     */
    private String acttyp;
    /**
     * trtcre.crefinflg融资勾选框
     */
    private String crefinflg;


    // 统一名单使用

    private String stacty;

    private String mattxtflg;

    private BigDecimal oldmaxamt = Decimals.ZERO_SCALE2;

    private BigDecimal oldmax2amt = Decimals.ZERO_SCALE2;

    //Lidgrp rec opndat
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndat;
    //Lidgrp rec ownref
    private String lidownref;
    //Lidgrp rec shpdat
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date shpdat;
    // lidgrp opndat
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date lidopndat;


    //资本报送使用
    private String avbby;

    // brtset 预计检核日期
    private Date prechkdat;

    private String dkflg;

}
