package com.brilliance.isc.vo.lc;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.common.vo.CommonResult;
import lombok.Data;
import java.math.BigDecimal;
import java.util.List;

/**
 * 进口信用证入口交易查询条件字段
 */
@Data
public class LitselQueryVo extends CommonResult {
    /**
     * 机构类型
     */
    private String bchtyp;
    /**
     * 信用证主表唯一编号
     */
    private String lidinr;

    /**
     * 信用证单据主表唯一编号
     */
    private String brdinr;

    /*
    信用证业务编号
     */
    private String seaownref;
    /**
     * 单据业务编号
     */
    private String brownref;
    /**
     * 提货担保业务编号
     */
    private String sgownref;
    /**
     * 融资业务编号
     */
    private String trownref;
    /**
     * 代付业务编号
     */
    private String dfownref;
    /**
     * 单据状态
     */
    private String docsta;

    /**
     * 机构编号
     */
    private String bchinr;
    /**
     * 机构编码
     */
    private String branch;

    /**
     * 机构集合
     */
    private List<Bch> bchLst;
    /**
     * 开立日期开始日期
     */
    private String opndatfrom;
    /**
     * 开立日期截止日期
     */
    private String opndatto;
    /**
     * 起息日开始日期
     */
    private String intdatfrom;
    /**
     * 起息日开始日期
     */
    private String intdatto;
    /**
     * 到期日开始日期
     */
    private String matdatfrom;
    /**
     * 到期日开始日期
     */
    private String matdatto;
    /**
     * 客户号/名称
     */
    private String searef;
    /**
     * 代付银行
     */
    private String dfbkref;
    /**
     * 是否闭卷
     */
    private String isClosed;

    /**
     * 业务类型
     */
    private String pnttyp;
    /**
     * 信用证类型
     */
    private String sealcrtyp;
    /**
     *单据类型
     */
    private String seadoctyp;
    /**
     * 客户号
     */
    private String ptyExtkey;
    /**
     * 当事人BIC/名称
     */
     private String seapty;
    /**
     * 业务状态
     */
    private String  seasta;
    /**
     * 币种
     */
    private String seacur;
    /**
     * 金额
     */
    private BigDecimal seaamt;
    /**
     * 金额
     */
    private BigDecimal seaamtfr;
    /**
     * 金额
     */
    private BigDecimal seaamtto;
    /**
     * 保兑指示
     */
    private String seacnfdet;
    /**
     * 货物类型
     */
    private String seagodcod;
    /**
     * 是否是提货担保业务
     */
    private String isSg;
    /**
     * 排序字段
     */
    private String column;

    /**
     * 正序倒序
     */
    private String order;
}
