package com.brilliance.isc.vo.lg;

import com.brilliance.isc.bo.Bch;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Builder;
import lombok.Data;
import lombok.Value;

import java.sql.Date;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class QueryConditionInfoVo {
    //查询条件
    /**
     * 机构编号
     */
    private String bchinr;
    /**
     * 机构编码
     */
    private String branch;

    /**
     * 机构集合
     */
    private List<Bch> bchLst;
    /**
     * 保函编号
     */
    private String seaownref;
    /**
     * 开立起始日期
     */
    private Date opndatfrom;
//    private String opndatfrom;
    /**
     * 开立截止日期
     */
    private Date opndatto;
//    private String opndatto;
    /**
     * 进口/出口保函
     */
    private String isGuarantee;
    /**
     * 业务简略信息
     */
    private String nam;
    /**
     * 当事人编号
     */
    private String ptyExtkey;
    /**
     * 当事人BIC编码
     */
    private String seapty;
    /**
     * 当事人名称
     */
    private String ptyNam;
    /**
     * 版本状态
     */
    private String relflg;
    /**
     * 处理类型
     */
    private String hndtyp;
    /**
     * 保函开立类型
     */
    private String[] hndtyps;
    /**
     * 当事人角色
     */
    private String searol;
    /**
     * 客户经理
     */
    private String usrExtkey;
    /**
     * 业务状态
     */
    private String seasta;
    /**
     * 币种
     */
    private String seacur;
    /**
     * 是否显示查询码
     */
    private String cxmflg;
    /**
     * 金额区间下限
     */
    private String seaamtfr;
    /**
     * 金额区间上限
     */
    private String seaamtto;
    /**
     * 金额
     */
    private String seaamt;
    /**
     * 选择会议目的
     */
    private String seapurpos;
    /**
     * 处理类型
     */
    private String seahndtyp;
    /**
     * 包含文本类型
     */
    private String seagtyp;
    /**
     * 特殊保函类型
     */
    private String segtyp;
    /**
     * 电子渠道类型
     */
    private String fromflg;
    /**
     * 分离式保函
     */
    private String fenlishi;
    /**
     * 当事人参考号
     */
    private String searef;
    /**
     * 跨境人民币申报
     */
    private String cmtflg;
     /**
     * 融资性对外保函
     */
    private String fingua;
    /**
     * 保函开立类型数组
     */
    private String[] gidopentyps;
    /**
     * 保函开立类型
     */
    private String gidopentyp;
    /**
     * 保函类型
     */
    private String gartyp;
    /**
     * 对外担保类型
     */
    private String cfaguatyp;
    /**
     * 每页大小
     */
    private Integer pageSize;
    /**
     * 当前页数
     */
    private Integer pageNum;
    /**
     * gid主键
     */
    private String gidinr;
   /**
     * nid主键
     */
    private String nidinr;
    /**
     * 主键
     */
    private String inr;

    /**
     * 保函开立类型
     */
    private String opentyp;

    /**
     * 是否已授权
     */
    private String seaauthorized;

    /**
     * 索赔编号
     */
    private String claimownref;

    /**
     * 索赔起始日期
     */
    private Date claimdatfrom;
//    private String opndatfrom;
    /**
     * 索赔截止日期
     */
    private Date claimdatto;

    /**
     * 索赔币种
     */

    private String claimcur;

    /**
     * 索赔金额区间下限
     */
    private String claimamtfr;
    /**
     * 索赔金额区间上限
     */
    private String claimamtto;

    /**
     * 索赔状态
     */
    private String claimsta;

    /**
     * 结清状态
     */
    private String clssta;

    /**
     * 非居民客户类型
     */
    private String ptytyp;

    /**
     * 保函号
     */
    private String issref;

    /**
     * 是否结清
     */
    private String isclear;

    /**
     * 查询类型，用于区分查询哪个表数据
     */

    private String querytyp;

    /**
     * 排序字段
     */
    private String column;

    /**
     * 正序倒序
     */
    private String order;

}