package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.vo.collection.DocgrdmVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BctpVo extends AbstractCommonVo {
    //Panel Status  E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    //申报类型
    private  String sblx = NULLSTR;

    //款项去向
    private  String acttyplab = NULLSTR;

    //ACTTYP
    private  String acttyp = NULLSTR;

    //是否需要核验
    private  String ischktyp = NULLSTR;

    //预计核验日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date prechkdat;

    //MANBAB
    private  String manbab = NULLSTR;

    private DocgrdmVo docgrdm;

    @Override
    public void reset() {
        super.reset();
        if (docgrdm == null) {
            docgrdm = new DocgrdmVo();
        }
        docgrdm.reset();
    }
}
