package com.brilliance.isc.vo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FinamtVo extends AbstractCommonVo {

    //Currency
    private  String cur = NULLSTR;
    //表外欠息利息
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal intamt1 = Decimals.ZERO_SCALE3;
    //表外本年欠息
    @JsonSerialize(using = BigDecimalSerialize.class)
    private  BigDecimal intamty1 = Decimals.ZERO_SCALE3;
    //表内欠息利息
    @JsonSerialize(using = BigDecimalSerialize.class)
    private  BigDecimal intamt2 = Decimals.ZERO_SCALE3;
    //表内本年欠息
    @JsonSerialize(using = BigDecimalSerialize.class)
    private  BigDecimal intamty2 = Decimals.ZERO_SCALE3;
    //利息
    @JsonSerialize(using = BigDecimalSerialize.class)
    private  BigDecimal intamt = Decimals.ZERO_SCALE3;
    //本金
    @JsonSerialize(using = BigDecimalSerialize.class)
    private  BigDecimal amt = Decimals.ZERO_SCALE3;
}
