package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.math.BigDecimal;
import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Mt30m extends AbstractCommonVo {
    private static Logger log = LoggerFactory.getLogger(Mt30m.class);

    //Status E-nable, D-isable, I-nvisible
    private  String pansta = null;
    //MT300 22A - 报文功能
    private  String s22a = null;
    //MT300 94A - 业务范�'
    private  String s94a = null;
    //MT300 22C - 共同参号
    private  String conref = null;
    //MT300 17T - 打包交易指示
    private  String s17t = null;
    //MT300 17U - 分笔结算指示
    private  String s17u = null;
    //Delivery Agent Account
    private  String a53act = null;
    //Intermediary Account
    private  String iniact = null;
    //Receiving Agent Account
    private  String rbcact = null;
    //Delivery Agent Account
    private  String b53act = null;
    //Intermediary Account
    private  String b56act = null;
    //Receiving Agent Account
    private  String owcact = null;
    //Beneficiary Institution Account
    private  String b58act = null;
    //Contact Information
    private  String coninf = null;
    //Dealing Method
    private  String deamet = null;
    //Dealing Method Text
    private  String deamettxt = null;
    //Dealing MethodMT300 24D
    private  String s24d = null;
    //Broker's Commission Cur.
    private  String comcur = null;
    //Broker's Commission Amount
    private BigDecimal comamt = Decimals.ZERO_SCALE3;
    //Counterparty's Reference
    private  String ctpref = null;
    //Broker's Reference
    private  String c88ref = null;
    //Sender to Receiver Information
    private  String str300 = null;
    //Event Type
    private  String enttyp = null;
    //Reference
    private  String sndref = null;
    //Underlying Liability Reference
    private  String unlref = null;
    //Profit and Loss Srttlement Date
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date plsdat;
    //Profit and Loss Settlement Amount CUR
    private  String plscur = null;
    //Profit and Loss Settlement Amount
    private  BigDecimal plsamt = Decimals.ZERO_SCALE3;
    //Outstanding Settlement Amount CUR
    private  String ouscur = null;
    //Outstanding Settlement Amount
    private  BigDecimal ousamt = Decimals.ZERO_SCALE3;

//    private Ptsp b58p;
//
//    private Ptsp b53p;
//
//    private Ptsp owcp;
//
//    private Ptsp b56p;
//
//    private Ptsp rbcp;
//
//    private Ptsp inip;
//
//    private Ptsp a53p;

    private PtsptaVo b58;

    private PtsptaVo b53;

    private PtsptaVo owc;

    private PtsptaVo b56;

    private PtsptaVo rbc;

    private PtsptaVo ini;

    private PtsptaVo a53;

    private PtsptaVo c84;

    private PtsptaVo c85;

    private PtsptaVo c88;

    //private Ptsp c84p;

    //private Ptsp c85p;

    //private Ptsp c88p;

    @Override
    public void reset() {
        super.reset();
    }

}
