package com.brilliance.isc.esb.api.ecif;


import com.brilliance.isc.esb.model.ecif.cloud.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * ECIF 对公客户管理系统请求方-上云
 *
 * @restApi
 */
//@RequestMapping("/ecifc/webapi")
public interface EcifCloudClient{

    /**
     * 0904 对公ECIF系统提供客户信息列表查询模糊查询客户信息
     *
     * @param req0904
     * @return
     */
    @PostMapping("/cust/findCustList0904")
    ResCloud09042 callCloud0904(ReqCloud0904 req0904);

    /**
     * 0905 对公ECIF系统提供客户信息详细查询
     *
     * @param reqCloud0905
     * @return
     */
    @PostMapping("/cust/findCust0905")
    ResCloud09052 callCloud0905(ReqCloud0905 reqCloud0905);

    /**
     * 0930 对公ECIF系统提供客户管户信息列表查询
     *
     * @param reqCloud0930
     * @return
     */
    @PostMapping("/custmanager/searchCustManager0930")
    ResCloud09302 callCloud0930(ReqCloud0930 reqCloud0930);

    /**
     * 0958 对公客户基本身份信息校验
     *
     * @param reqCloud0958
     * @return
     */
    @PostMapping("/custInfoValidator/validateCustomerInfo0958")
    ResCloud09582 callCloud0958(ReqCloud0958 reqCloud0958);

}
